#ifndef _SETJMP_H
#define _SETJMP_H
#include <stdint.h>

typedef struct {
    uint64_t regs[14]; // Enough for callee-saved registers on RISC-V 64
} jmp_buf[1];

typedef jmp_buf sigjmp_buf;
#define sigsetjmp(env, savemask) setjmp(env)
#define siglongjmp(env, val) longjmp(env, val)

int setjmp(jmp_buf env);
void longjmp(jmp_buf env, int val);
#endif
